### Hierarchy

- UserMessage

## Index

### Constructors

- constructor

### Properties

- explanation
- message
- messageType
- propertyNames

## Constructors

### constructor

- new UserMessage(message: string, messageType: string, explanation: string, propertyNames: string[]): UserMessage

- - Defined in models/UserMessage.ts:1

  #### Parameters

  - ##### message: string

  - ##### messageType: string

  - ##### explanation: string

  - ##### propertyNames: string[]

  #### Returns UserMessage

## Properties

### explanation

explanation: string

- Defined in models/UserMessage.ts:5

### message

message: string

- Defined in models/UserMessage.ts:3

### messageType

messageType: string

- Defined in models/UserMessage.ts:4

### propertyNames

propertyNames: string[]

- Defined in models/UserMessage.ts:6

Generated using TypeDoc